
    StartupEvents.registry('palladium:abilities', (event) => {
        event.create('heroes:empathic_call')
            .icon(palladium.createItemIcon('palladium:vibranium_circuit'))
			.addProperty("call_tag", "string", "1", "1-2")
			.addProperty("cycle_score", "string", "Heroes.Power.Icon", "Determins max energy for the power and what the math will be based on")
            .tick((entity, entry, holder, enabled) => {
                if (enabled) {
					const call_tag = entry.getPropertyByName('call_tag');
					const cycle_score = entry.getPropertyByName('cycle_score');
                    let username = entity.getGameProfile().getName();
					let username_true = username.toLowerCase();
                    let scoreboard = Utils.server.scoreboard;
					let scoreboard_obj = scoreboard.getObjective(entry.getPropertyByName("cycle_score"));
                    let score = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj);
                    let value = score.getScore();
		
					let power = global['ability_' + value];
					let scoreboard_obj_temp = scoreboard.getObjective('Powers.Empathic.' + power);
							if (scoreboard_obj_temp != null) {
							let score_temp = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj_temp);
							let value_temp = score_temp.getScore();
			
						let power_max = global.power_amount;
						if (value_temp >= 1) {
					if (call_tag == 1) {
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Powers.Empathic." + power + " 2");
					entity.server.runCommandSilent("execute as " + username + " at @s run tag @s add Heroes.Empathic.Next");
					entity.server.runCommandSilent("execute as " + username + " at @s run tag @s remove Heroes.Empathic.Call");
					}
					if (call_tag == 2) {
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Powers.Empathic." + power + " 1");
					entity.server.runCommandSilent("execute as " + username + " at @s run tag @s add Heroes.Empathic.Next");
					entity.server.runCommandSilent("execute as " + username + " at @s run tag @s remove Heroes.Empathic.UnCall");
					}
						}
					}
					entity.server.runCommandSilent("execute as " + username + " at @s run tag @s add Heroes.Prock");
				}
            });
    });